
local TUNING = GLOBAL.TUNING
local GetPlayer = GLOBAL.GetPlayer
local c_countprefabs = GLOBAL.c_countprefabs

TUNING.Key = GetModConfigData("Key")
TUNING.fontsize = GetModConfigData("fontsize")
if GetModConfigData("LANGUAGE") == 0 then
    TUNING.THERE = "洞察此世界有"
    TUNING.THERE1 = "章鱼王"
    TUNING.THERE2 = "骑士船"
    TUNING.THERE3 = "高鸟巢"
    TUNING.THERE4 = "重生石"
    TUNING.THERE5 = "老渔人房"
    TUNING.THERE6 = "丛林活木树"
    TUNING.THERE7 = "火山权杖"
	TUNING.THERE8 = "曼德拉草"
	TUNING.THERE9 = "虎鲨"
	TUNING.THERE10 = "剑鱼"
else
    TUNING.THERE = "There are "
    TUNING.THERE1 = "octopusking"
    TUNING.THERE2 = "knightboat"
    TUNING.THERE3 = "tallbirdnest"
    TUNING.THERE4 = "resurrectionstone"
    TUNING.THERE5 = "mermhouse_fisher"
    TUNING.THERE6 = "livingjungletree"
    TUNING.THERE7 = "volcanostaff"
	TUNING.THERE8 = "mandrake"
	TUNING.THERE9 = "tigershark"
	TUNING.THERE10 = "swordfish"

end

local function Show(inst)
	local player = GLOBAL.GetPlayer()
	local octopuskingnum = c_countprefabs("octopusking", true) or 0                    --章鱼王
	local knightboatnum = c_countprefabs("knightboat", true) or 0                        --骑士船
	local tallbirdnestnum = c_countprefabs("tallbirdnest", true) or 0                    --高鸟巢穴
	local resurrectionstonenum = c_countprefabs("resurrectionstone", true) or 0          --重生石
	local mermhouse_fishernum = c_countprefabs("mermhouse_fisher", true) or 0            --老渔人房
	local livingjungletreenum = c_countprefabs("livingjungletree", true) or 0            --丛林活木
	local volcanostaffnum = c_countprefabs("volcanostaff", true) or 0                    --火山权杖
	local mandrakenum = c_countprefabs("mandrake", true) or 0                            --曼德拉草
	local tigersharknum = c_countprefabs("tigershark", true) or 0                        --虎鲨
	local swordfishnum = c_countprefabs("swordfish", true) or 0                          --剑鱼

if GetModConfigData("COLOUR") == 0 then
	player.components.talker.colour = GLOBAL.Vector3(1, 1, 1, 1)
elseif GetModConfigData("COLOUR") == 1 then
    player.components.talker.colour = GLOBAL.Vector3(0, 1, 1, 1) --青色
elseif GetModConfigData("COLOUR") == 2 then
    player.components.talker.colour = GLOBAL.Vector3(1, 0, 0, 1) --红色
elseif GetModConfigData("COLOUR") == 3 then
    player.components.talker.colour = GLOBAL.Vector3(1, 0.65, 0, 1) --橙色	
elseif GetModConfigData("COLOUR") == 4 then
    player.components.talker.colour = GLOBAL.Vector3(1, 1, 0, 1) --黄色	
elseif GetModConfigData("COLOUR") == 5 then
    player.components.talker.colour = GLOBAL.Vector3(1, 0, 1, 1) --绿色	
elseif GetModConfigData("COLOUR") == 6 then
    player.components.talker.colour = GLOBAL.Vector3(0, 0, 1, 1) --蓝色
elseif GetModConfigData("COLOUR") == 7 then
    player.components.talker.colour = GLOBAL.Vector3(1, 0, 1, 1) --紫色
end
	player.components.talker.fontsize = TUNING.fontsize
		player.components.talker:Say(
		"\n"..TUNING.THERE.."["..octopuskingnum.."]"..TUNING.THERE1..
		"\n"..TUNING.THERE.."["..knightboatnum.."]"..TUNING.THERE2..
		"\n"..TUNING.THERE.."["..tallbirdnestnum.."]"..TUNING.THERE3..
		"\n"..TUNING.THERE.."["..resurrectionstonenum.."]"..TUNING.THERE4..
		"\n"..TUNING.THERE.."["..mermhouse_fishernum.."]"..TUNING.THERE5..
		"\n"..TUNING.THERE.."["..livingjungletreenum.."]"..TUNING.THERE6..
		"\n"..TUNING.THERE.."["..volcanostaffnum.."]"..TUNING.THERE7..
		"\n"..TUNING.THERE.."["..mandrakenum.."]"..TUNING.THERE8..
		"\n"..TUNING.THERE.."["..tigersharknum.."]"..TUNING.THERE9..
		"\n"..TUNING.THERE.."["..swordfishnum.."]"..TUNING.THERE10)
end

GLOBAL.TheInput:AddKeyDownHandler(TUNING.Key, Show)

