
local TUNING = GLOBAL.TUNING
local GetPlayer = GLOBAL.GetPlayer
local c_countprefabs = GLOBAL.c_countprefabs

TUNING.Key = GetModConfigData("Key")
TUNING.fontsize = GetModConfigData("fontsize")

if GetModConfigData("LANGUAGE") == 0 then
    TUNING.THERE = "洞察此世界有"
    TUNING.THERE1 = "猪王"
    TUNING.THERE2 = "格罗姆雕像"
    TUNING.THERE3 = "高鸟巢"
    TUNING.THERE4 = "海象巢"
    TUNING.THERE5 = "狗窝"
    TUNING.THERE6 = "兔人房"
    TUNING.THERE7 = "重生石"
    TUNING.THERE8 = "曼德拉草"
    TUNING.THERE9 = "主教"
    TUNING.THERE10 = "发条骑士"
	TUNING.THERE11 = "步行手杖"
    TUNING.THERE12 = "活木树"
    TUNING.THERE13 = "完整的祭坛"

else
    TUNING.THERE = "There are "
    TUNING.THERE1 = "pigking"
    TUNING.THERE2 = "statueglommer"
    TUNING.THERE3 = "tallbirdnest"
    TUNING.THERE4 = "walrus camp"
    TUNING.THERE5 = "houndmound"
    TUNING.THERE6 = "rabbithouse"
    TUNING.THERE7 = "resurrectionstone"
    TUNING.THERE8 = "mandrake"
    TUNING.THERE9 = "bishop"
	TUNING.THERE10 = "knight"
    TUNING.THERE11 = "cane"
    TUNING.THERE12 = "livingtree"
    TUNING.THERE13 = "ancient altar"

end

local function Show(inst)
	local player = GLOBAL.GetPlayer()
	local pigkingnum = c_countprefabs("pigking", true) or 0                              --猪王
	local statueglommernum = c_countprefabs("statueglommer", true) or 0                  --格罗姆雕像
	local tallbirdnestnum = c_countprefabs("tallbirdnest", true) or 0                    --高鸟巢穴
	local walrus_campnum = c_countprefabs("walrus_camp", true) or 0                      --海象窝
	local houndmoundnum = c_countprefabs("houndmound", true) or 0                        --狗窝
	local rabbithousenum = c_countprefabs("rabbithouse", true) or 0                      --兔人房
	local resurrectionstone = c_countprefabs("resurrectionstone", true) or 0             --重生石
	local mandrakenum = c_countprefabs("mandrake", true) or 0                            --曼德拉草
	local bishopnum = c_countprefabs("bishop", true) or 0                                --主教
	local knightnum = c_countprefabs("knight", true) or 0                                --发条骑士
	local canenum = c_countprefabs("cane", true) or 0                                    --手杖
	local livingtreenum = c_countprefabs("livingtree", true) or 0                        --活木树
	local ancient_altarnum = c_countprefabs("ancient_altar", true) or 0                  --完整的远古祭坛

if GetModConfigData("COLOUR") == 0 then
	player.components.talker.colour = GLOBAL.Vector3(1, 1, 1, 1)
elseif GetModConfigData("COLOUR") == 1 then
    player.components.talker.colour = GLOBAL.Vector3(0, 1, 1, 1) --青色
elseif GetModConfigData("COLOUR") == 2 then
    player.components.talker.colour = GLOBAL.Vector3(1, 0, 0, 1) --红色
elseif GetModConfigData("COLOUR") == 3 then
    player.components.talker.colour = GLOBAL.Vector3(1, 0.65, 0, 1) --橙色	
elseif GetModConfigData("COLOUR") == 4 then
    player.components.talker.colour = GLOBAL.Vector3(1, 1, 0, 1) --黄色	
elseif GetModConfigData("COLOUR") == 5 then
    player.components.talker.colour = GLOBAL.Vector3(1, 0, 1, 1) --绿色	
elseif GetModConfigData("COLOUR") == 6 then
    player.components.talker.colour = GLOBAL.Vector3(0, 0, 1, 1) --蓝色
elseif GetModConfigData("COLOUR") == 7 then
    player.components.talker.colour = GLOBAL.Vector3(1, 0, 1, 1) --紫色
end
	player.components.talker.fontsize = TUNING.fontsize
		player.components.talker:Say(
		"\n"..TUNING.THERE.."["..pigkingnum.."]"..TUNING.THERE1..
		"\n"..TUNING.THERE.."["..statueglommernum.."]"..TUNING.THERE2..
		"\n"..TUNING.THERE.."["..tallbirdnestnum.."]"..TUNING.THERE3..
		"\n"..TUNING.THERE.."["..walrus_campnum.."]"..TUNING.THERE4..
		"\n"..TUNING.THERE.."["..houndmoundnum.."]"..TUNING.THERE5..
		"\n"..TUNING.THERE.."["..rabbithousenum.."]"..TUNING.THERE6..
		"\n"..TUNING.THERE.."["..resurrectionstone.."]"..TUNING.THERE7..
		"\n"..TUNING.THERE.."["..mandrakenum.."]"..TUNING.THERE8..
		"\n"..TUNING.THERE.."["..bishopnum.."]"..TUNING.THERE9..
		"\n"..TUNING.THERE.."["..knightnum.."]"..TUNING.THERE10..
		"\n"..TUNING.THERE.."["..canenum.."]"..TUNING.THERE11..
		"\n"..TUNING.THERE.."["..livingtreenum.."]"..TUNING.THERE12..
		"\n"..TUNING.THERE.."["..ancient_altarnum.."]"..TUNING.THERE13)
end

GLOBAL.TheInput:AddKeyDownHandler(TUNING.Key, Show)

